#!/bin/bash
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
dooku="$SCRIPT_DIR"
corpus="${SCRIPT_DIR}/corpus"

prefix=$(ls $corpus | head -n 1 | cut -c 1-4)
filepath="$corpus/$prefix"

#echo $dooku $corpus
if [[ $1 == "-d" ]] ; then
	pocketsphinx_continuous -inmic yes -dict "$filepath.dic" -lm "$filepath.lm" | python3 ${dooku}/dooku.py
else	
	pocketsphinx_continuous -inmic yes -dict "$filepath.dic" -lm "$filepath.lm" 2>/dev/null | python3 ${dooku}/dooku.py
fi

